Get available product filters
This endpoint lists the available search fields when filtering products and operations that can be carried on each field.
A complete list of operators and their meanings is available in the main section of filters.
System attributes
All products have a predefined set of system attributes shown below:
| Field | Description |
|---|---|
| created | Product creation date in ISO 8601 format |
| modified | Product last modification date in ISO 8601 format |
| sku | Product identifier |
| gtin | Global Trade Number (GTIN). This only accept valid GTIN formats |
| label | Product label |
| status | Available statuses: [Draft, Completed] |
| categories | Product category identifiers (id) |
| static_lists | Available product lists |
| assets | Assets related to this product |
| images | Images related to this product, always a subset of assets |
| thumbnail | Product thumbnail |
| product_level | The inheritance level of the product, commonly known as the product type. Choices (as integers): 0 (single), 1 (parent), 2 (variant) and 3 (sub-variant). |
"sub-variant" will only be available if the account has the variants level 3 feature enabled. Consult your account manager for more information.
Custom attributes
User defined attributes are returned too by this endpoint, they can be easily identified as all user attribute is always
prefixed with the literal attributes..
For example, an attribute named color defined as multiselect with the following values Blue, Purple, White, Beige, and Orange will be returned as:
{ "filter_type": "MultiSelectAttribute", "key": "attributes.color", "operators": [ "exists", "!exists", "in", "!in" ], "options": [ "Blue", "Purple", "White", "Beige", "Orange" ]}Available properties:
| Field | Description |
|---|---|
_is_variation | True if a product is a variant |
_has_variations | True if a product is a base product |
Authorization
bearerAuth Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET 'https://example.com/api/v1/filters/product'{ "data": [ { "attributes": [ { "filter_type": "DecimalAttribute", "key": "attributes.price_create_a_decimal_number_type_attribute", "operators": [ "exists", "!exists", "eq", "!eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "DropdownAttribute", "key": "attributes.dropdown", "operators": [ "exists", "!exists", "eq", "!eq", "in", "!in" ], "options": [ "1", "2", "3", "4" ] }, { "filter_type": "TextAttribute", "key": "attributes.description_create_a_rich_text_type_attribute", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "MultiSelectAttribute", "key": "attributes.color_create_a_multiselect_type_attribute", "operators": [ "exists", "!exists", "in", "!in" ], "options": [ "Blue", "Purple", "White", "Beige", "Orange" ] }, { "filter_type": "MultiSelectAttribute", "key": "attributes.multiselect", "operators": [ "exists", "!exists", "in", "!in" ], "options": [ "option 1", "option 2", "option 3" ] }, { "filter_type": "TextAttribute", "key": "attributes.att_1", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "TextAttribute", "key": "attributes.17", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "TextAttribute", "key": "attributes.att20", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "TextAttribute", "key": "sku", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "TextAttribute", "key": "label", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "MultiSelectAttribute", "key": "categories", "operators": [ "exists", "!exists", "in", "!in" ], "options": [] }, { "filter_type": "MultiSelectAttribute", "key": "static_lists", "operators": [ "in" ], "options": [] }, { "filter_type": "MediaAttribute", "key": "assets", "operators": [ "exists", "!exists" ] }, { "filter_type": "MediaAttribute", "key": "images", "operators": [ "exists", "!exists" ] }, { "filter_type": "MediaAttribute", "key": "thumbnail", "operators": [ "exists", "!exists" ] }, { "filter_type": "DateAttribute", "key": "modified", "operators": [ "exists", "!exists", "eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "DateAttribute", "key": "created", "operators": [ "exists", "!exists", "eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "DropdownAttribute", "key": "status", "operators": [ "eq", "in", "!in" ] } ], "properties": [ { "filter_type": "BooleanAttribute", "key": "_is_variation", "operators": [ "eq" ] }, { "filter_type": "BooleanAttribute", "key": "_has_variations", "operators": [ "eq" ] } ] } ]}